[ubuntu/disco-proposed] nodejs 10.15.0~dfsg-8 (Accepted)

Steve Langasek steve.langasek at canonical.com
Mon Jan 14 06:37:32 UTC 2019


nodejs (10.15.0~dfsg-8) unstable; urgency=medium

  * Suggests npm - because nodejs must not be blocked by it.
    Closes: #918388.
  * Patch to silence buffer deprecations. Closes: #918456.
    This patch is meant to ease migration to testing, and to be
    removed as soon as possible.
    It avoids printing to stderr deprecation warning about
    calling Buffer as a constructor without the new operator.

nodejs (10.15.0~dfsg-7) unstable; urgency=medium

  * Add missing shlibs, Closes: #917961.
  * Nodejs 10 is here, Close #914965.
  * libnode-dev: install openssl.cnf in /usr/include/nodejs
  * Recommends npm, Closes: #918388.

nodejs (10.15.0~dfsg-6) unstable; urgency=medium

  * nodejs: strict dependency on libnode64

nodejs (10.15.0~dfsg-5) experimental; urgency=medium

  * mips(el): -latomic
  * Remove split-dwarf for any arch, only for mips
  * Forgot to export LDFLAGS

nodejs (10.15.0~dfsg-4) experimental; urgency=medium

  * CPPFLAGS, CFLAGS -gsplit-dwarf for any arch
    Why would this be reserved to mips anyway.
  * Standards-Version 4.3.0

nodejs (10.15.0~dfsg-3) experimental; urgency=medium

  * Add CPPFLAGS += -gsplit-dwarf as well

nodejs (10.15.0~dfsg-2) experimental; urgency=medium

  * Add -gsplit-dwarf on mips to work around #829139

nodejs (10.15.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.15.0~dfsg
  * copyright:
    + add license for src/large_pages/*
    + remove unused paragraph
  * Build using bundled http-parser (unreleased changes)

nodejs (10.14.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.14.0~dfsg

nodejs (10.13.0~dfsg-3) experimental; urgency=medium

  * Update uv headers path

nodejs (10.13.0~dfsg-2) experimental; urgency=medium

  * Upstream patches for openssl 1.1.1 support
  * Build using shared openssl and depend on it again
  * Test suite assumes embedded openssl.cnf

nodejs (10.13.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.13.0~dfsg

nodejs (10.12.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.12.0~dfsg
  * openssl: use bundled copy because node is not compatible
    with openssl 1.1.1 right now (and there is no upstream fix).
    On the plus side:
    + this avoids ABI breakage for C++ addons (Closes: #904274)
    + upstream have security support for openssl vulns
    On the down side, it's a policy 4.13 violation.
  * copyright:
    + no longer exclude marked since it is removed
    + drop paragraph for pthread-barrier.h
  * Multiarch and DFHS:
    + patch adding --node-relative-path configuration variable
    + "/usr/lib/<$DEB_HOST_MULTIARCH>/nodejs" for c++ addons
    + "/usr/share/nodejs" for pure javascript modules
    + "/usr/lib/nodejs" for smooth migration of current modules
    + Expose those configuration variables in
      process.config.variables.node_relative_path
      process.config.variables.arch_triplet
    + In particular, if prefix is /usr/local all paths move there.
    + Fix test expecting lib/node, should be lib/nodejs.
    (Closes: #901474)
  * Build using shared libuv1 again (Closes: #905415)
  * Standards-Version 4.2.1
  * Add support for mips64r6el arch (Closes: #905886)
  * Drop libnodeXX-dev in favor of libnode-dev (Closes: #901297)
  * Patch tools/doc to restore old dependencies on marked,
    while waiting for remarked/rehyped modules to be available.
  * sequential/test-http2-session-timeout is a flaky test
  * Add lintian override for test/fixtures/assert-long-line.js,
    false source-is-missing positive.
  * Build using LANG=C
  * Stop excluding tools/gyp because upstream patches it
  * Tighten dependency on nghttp2 >= 1.34.0

nodejs (10.4.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.4.0~dfsg
  * libnodeXX-dev Breaks+Replaces nodejs-dev << 10 (Closes: #898024)
  * Standards-Version 4.1.4
  * Copyright:
		+ comment the unexpected change in this BSD-3-clause
    + remove duplicate paragraph
    + remove files
    + add antlr4 with a BSD-3-clause license

nodejs (10.3.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.3.0~dfsg
  * Skip performance test
  * Symlink js-yaml to the expected dir for doc build

nodejs (10.1.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.1.0~dfsg
  * watch file: back to dfsg
  * Drop patches applied upstream
  * Depends libc-ares >= 1.14~ to match upstream requirement

nodejs (10.0.0~dfsg1-4) experimental; urgency=medium

  * Multi-Arch: foreign on nodejs binary (Closes: #826890)
  * gbp: 10.x branches
  * copyright: drop eu-strip from excluded files, applied upstream

nodejs (10.0.0~dfsg1-3) experimental; urgency=medium

  * Build and distribute libnode:
    + package libnode-dev, libnodeXX-dev
    + keep nodejs-dev for dh-nodejs and deprecate it
    + update packages descriptions
    + Multi-Arch: same on lib/dev packages (Closes: #826890)
  * Upstream patches fixing some tests
  * copyright:
    + dfsg-exclude non-free zlib rfc195*.txt files
    + minor paths updates/removals
  * lintian override: remove unused source-is-missing
    deps/v8/src/js/max-min*
  * Fix again installation of acorn files

nodejs (10.0.0~dfsg-2) experimental; urgency=medium

  * Fix acorn files installation

nodejs (10.0.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.0.0~dfsg
  * copyright:
    + reformat to use Comment field
    + CNNICHashWhitelist is no longer in tarball
    + dfsg-exclude acorn, eu-strip
    + add several new sections
  * Build-Depends node-acorn
  * Bump dependency on libuv >= 1.20
  * Use temporarily embedded copy of libuv
  * Depends openssl >= 1.1.0

Date: 2019-01-06 16:38:33.688725+00:00
Signed-By: Steve Langasek <steve.langasek at canonical.com>
https://launchpad.net/ubuntu/+source/nodejs/10.15.0~dfsg-8
-------------- next part --------------
Sorry, changesfile not available.


More information about the Disco-changes mailing list